[ic] Cybersource: Can't Void or Settlement

Mark Weaver mdw1982 at mdw1982.com
Fri Jun 10 06:50:22 EDT 2005

Hi All,

What an adaventure this has been getting Interchange to use CyberSource. 
After getting everything hooked up and working with Jeff's help I've 
found something else. I can't as yet settle or void from the Admin UI. 
I'm getting an error when attempting to void. The error says it needs an 
"auth_request_id". Might someone be able to tell me what "value" its 
looking for that its currently missing?

I haven't tried settling a transaction yet, but I'm betting that I get 
an error on that one as well. I appear to be missing something, but I'm 
not sure what that is yet. Yesterday before I got the CyberSource client 
working with IC it was telling me it had an invalid merchant_descriptor. 
At least until I plugged in the "merchante number". Then it was happy to 
take the order.

As instructed we're using the older PERL SKD version 3.4.12 as opposed 
to the new client they "wanted" me to use. Frankly I'll got with what 
folks using Interchange tell me before I go with something the payment 
gateway folks say. Just two more hurdles to overcome and I'm there.

IC 5.2
RedHat 4 WS
PERL 5.8.6 non-threaded

Paid for by Penguins against modern appliances(R)
Linux User Since 1996
Powered by Mandrake Linux 8.2, 10.0 & RHEL 4

More information about the interchange-users mailing list